Subject: [TR] TR6 movie siting

From: Bud Rolofson <[email-masked]>
Date: Mon, 19 Feb 2024 10:02:36 -0700

Just saw the Bob Marley movie One Love and saw a 1973 red TR6 with a tan top in a couple of different scenes in the courtyard at his Villa in Jamaica. Fun to see as I’ve been there four times. I saw a purple Stag there on one trip.

I was in Jamaica for 9/11 which was a different experience than most had on that fateful day. We watched the same coverage for hours on the limited Jamaican TV and with a “there’s nothing we can do” attitude we went to the beach.

Bud Rolofson

Extreme Parts Racing (more than just a haircut)

71TR6 CC57365 (Good 6)
71 Spitfire MK IV Race Car #3
69 Spitfire MK III (back up FE engine/dinghy car)
93 Minnie Winnie Race Support Vehicle 
77 Z-50A Hardly Davidson Honda Mini-Trail Bike (Triumph Pit Bike)

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]